首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Pacman
V2EX  ›  macOS

升级 Catalina 后, brew 安装的 quicklook 插件不能使用

  •  
  •   Pacman · 174 天前 · 2457 次点击
    这是一个创建于 174 天前的主题,其中的信息可能已经有所发展或是发生改变。

    升级后,所有通过 brew 安装的 quicklook 插件都不能使用了
    只能关闭 sip 后,手动安装到/Library/QuickLook/路径

    这样做今后管理不方便
    是否有更为简便的方法?

    8 条回复    2019-10-15 19:15:01 +08:00
    Lullaby001
        1
    Lullaby001   174 天前
    可以添加到自己用户下的 Library/QuickLook/路径中,这个不需要关闭 sip
    baichi
        2
    baichi   174 天前 via iPhone
    用的时候会弹提示不可用 这个时候在 安全性与隐私的通用页面 可以手动信任它 然后就能用拉
    lizhuoli
        3
    lizhuoli   174 天前 via iPhone
    是软件签名问题,在 macOS 10.14 ,quicklook 插件不需要任何开发者证书签名,现在是必须的,所以都挂临时可以手动触发一次,点开系设置,隐私,允许,就可用了。

    不过后续版本 macOS 估计绕不过了,建议及时给 quicklook 作者反馈
    littlewing
        4
    littlewing   174 天前
    这软件不是 windows 下用来空格预览文件的吗? MAC 下有什么用吗
    fatelight
        5
    fatelight   174 天前
    @littlewing 这个已经更新很多年了,win 的这个没出多久,也是学习 mac 的预览方式的。而且 mac 有很多这种插件,不过好多已经失效了。
    fatelight
        6
    fatelight   174 天前
    我以为不能用了,全都删除了,包括代码预览那个
    KyrieJoshua
        7
    KyrieJoshua   173 天前
    @baichi 在偏好设置里的安全页面,点了仍要打开。后面还是不能用。
    而且提示,此预览不能安全地在快速查看中显示。

    不知道是哪里不对。。
    hrzhm
        8
    hrzhm   173 天前
    我是安装完了压根就没任何反映,不会跳出任何提示- -xxx
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   974 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 20:38 · PVG 04:38 · LAX 13:38 · JFK 16:38
    ♥ Do have faith in what you're doing.